<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.zongzhi.mapper.TcIdcUnitMapper">
    
    <resultMap type="TcIdcUnit" id="TcIdcUnitResult">
        <result property="id"    column="id"    />
        <result property="areaId"    column="area_id"    />
        <result property="unitName"    column="unit_name"    />
        <result property="area"    column="area"    />
        <result property="ipData"    column="ip_data"    />
        <result property="createId"    column="create_id"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateId"    column="update_id"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectTcIdcUnitVo">
        select id, area_id, unit_name, area, ip_data, create_id, create_by, create_time, update_id, update_by, update_time, remark from tc_idc_unit
    </sql>

    <select id="selectTcIdcUnitList" parameterType="TcIdcUnit" resultMap="TcIdcUnitResult">
        <include refid="selectTcIdcUnitVo"/>
        <where>  
            <if test="areaId != null "> and area_id = #{areaId}</if>
            <if test="unitName != null  and unitName != ''"> and unit_name like concat('%', #{unitName}, '%')</if>
            <if test="area != null  and area != ''"> and area = #{area}</if>
            <if test="ipData != null  and ipData != ''"> and ip_data = #{ipData}</if>
            <if test="createId != null "> and create_id = #{createId}</if>
            <if test="updateId != null "> and update_id = #{updateId}</if>
        </where>
    </select>
    
    <select id="selectTcIdcUnitById" parameterType="Long" resultMap="TcIdcUnitResult">
        <include refid="selectTcIdcUnitVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertTcIdcUnit" parameterType="TcIdcUnit" useGeneratedKeys="true" keyProperty="id">
        insert into tc_idc_unit
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="areaId != null">area_id,</if>
            <if test="unitName != null">unit_name,</if>
            <if test="area != null">area,</if>
            <if test="ipData != null">ip_data,</if>
            <if test="createId != null">create_id,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateId != null">update_id,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="areaId != null">#{areaId},</if>
            <if test="unitName != null">#{unitName},</if>
            <if test="area != null">#{area},</if>
            <if test="ipData != null">#{ipData},</if>
            <if test="createId != null">#{createId},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateId != null">#{updateId},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateTcIdcUnit" parameterType="TcIdcUnit">
        update tc_idc_unit
        <trim prefix="SET" suffixOverrides=",">
            <if test="areaId != null">area_id = #{areaId},</if>
            <if test="unitName != null">unit_name = #{unitName},</if>
            <if test="area != null">area = #{area},</if>
            <if test="ipData != null">ip_data = #{ipData},</if>
            <if test="createId != null">create_id = #{createId},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateId != null">update_id = #{updateId},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteTcIdcUnitById" parameterType="Long">
        delete from tc_idc_unit where id = #{id}
    </delete>

    <delete id="deleteTcIdcUnitByIds" parameterType="String">
        delete from tc_idc_unit where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>